|
@@ -0,0 +1,33 @@
|
|
1
|
+#!/usr/bin/env bash
|
|
2
|
+#
|
|
3
|
+# Build tests for MKS TinyBee
|
|
4
|
+#
|
|
5
|
+
|
|
6
|
+# exit on first failure
|
|
7
|
+set -e
|
|
8
|
+
|
|
9
|
+#
|
|
10
|
+# Build with ESP3D WiFi, OTA and custom WIFI commands support
|
|
11
|
+#
|
|
12
|
+restore_configs
|
|
13
|
+opt_set MOTHERBOARD BOARD_MKS_TINYBEE TX_BUFFER_SIZE 64 \
|
|
14
|
+ WIFI_SSID '"ssid"' WIFI_PWD '"password"' \
|
|
15
|
+ SERIAL_PORT_2 -1 BAUDRATE_2 250000
|
|
16
|
+opt_enable ESP3D_WIFISUPPORT WEBSUPPORT OTASUPPORT WIFI_CUSTOM_COMMAND
|
|
17
|
+exec_test $1 "$2" "MKS TinyBee with ESP3D_WIFISUPPORT" "$3"
|
|
18
|
+
|
|
19
|
+#
|
|
20
|
+# Build with LCD, SD support and Speaker support
|
|
21
|
+#
|
|
22
|
+restore_configs
|
|
23
|
+opt_set MOTHERBOARD BOARD_MKS_TINYBEE \
|
|
24
|
+ LCD_LANGUAGE en \
|
|
25
|
+ LCD_INFO_SCREEN_STYLE 0 \
|
|
26
|
+ DISPLAY_CHARSET_HD44780 WESTERN \
|
|
27
|
+ NEOPIXEL_TYPE NEO_RGB
|
|
28
|
+opt_enable FYSETC_MINI_12864_2_1 SDSUPPORT
|
|
29
|
+opt_enable LED_CONTROL_MENU LED_USER_PRESET_STARTUP LED_COLOR_PRESETS NEOPIXEL_LED
|
|
30
|
+exec_test $1 $2 "MKS TinyBee with NeoPixel LCD, SD and Speaker" "$3"
|
|
31
|
+
|
|
32
|
+# cleanup
|
|
33
|
+restore_configs
|